﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Syncfusion.JavaScript.DataVisualization.DiagramEnums;
using Syncfusion.JavaScript.DataVisualization.Models;
using Syncfusion.JavaScript.DataVisualization.Models.Diagram;
using System.Web.Script.Serialization;
using Syncfusion.JavaScript.DataVisualization.Models.Collections;
using Label = Syncfusion.JavaScript.DataVisualization.Models.Diagram.Label;
namespace SyncfusionMvcApplication3
{
    public partial class DiagramController : Controller
    {
        //
        // GET: /Diagram/
        public ActionResult DiagramFeatures()
        {
            DiagramProperties model = new DiagramProperties();
            model.Height = "600px";
            model.Width = "900px";

            BasicShape node11 = new BasicShape();
            node11.Name = "node11";
            node11.Width = 100;
            node11.Height = 100;
            node11.OffsetX = 100;
            node11.OffsetY = 300;
            model.Nodes.Add(node11);

            BasicShape node12 = new BasicShape();
            node12.Name = "node12";
            node12.Width = 100;
            node12.Height = 100;
            node12.OffsetX = 300;
            node12.OffsetY = 300;
            model.Nodes.Add(node12);
            
            model.EnableContextMenu = true;            
            model.ContextMenuClick = "contextmenuclick";
            model.SnapSettings.SnapConstraints = SnapConstraints.ShowLines | SnapConstraints.SnapToLines;
            ViewData["diagramModel"] = model;
            return View();
        }       
    }
}
